<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8">
    <title>JAVASCRIPT ASSIGNMENT</title>
    <script src="mainScript.js" charset="utf-8"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link rel="stylesheet" href="mainStyles.css">
</head>

<body>
    <input id="search" class="searchbox" type="text" placeholder="Enter name to search.." onkeyup="showHint()">

    <pre id='emptyMessage'> Table is Empty :/ Please Insert Data............</pre>


    <table id="table">
        <thead id=tableHead>
            <tr><th>NAME</th><TH>ADDRESS</TH><TH id='ratingMarker' onclick='ratingChange()'> RATING⮟ </TH></label><TH>TYPE</TH><TH>PICTURE</TH><TH>ACTION</TH></tr>
        </thead>
        <tbody id="tableBody">

        </tbody>
    </table>

    <div>
        <form id="form">
            <div class="formDiv"><h3>Add a new Tourist Place</h3></div>

            <div id="nameWarning" class="formDiv warning"> Name cannot be blank! </div>
            <div class="formDiv">Name: <input class="form" type="text" id="name" /></div>

            <div id="addressWarning" class="formDiv warning"> Adress cannot be blank! </div>
            <div class="formDiv">Address: <input type="text" id="address" /></div>

            <div id="ratingWarning" class="formDiv warning"> Rating must be within 1-5 </div>
            <div class="formDiv">Rating: <input type="number" value="1" min="1" max="5" id="rating" step="1"> </div>


            <div class="formDiv">Type: <select class="type" id="type">
                    <label>
                        <option value="beach" selected> Beach </option>
                    </label>
                    <label>
                        <option value="hills"> Hills </option>
                    </label>
                    <label>
                        <option value="mountains"> Mountains </option>
                    </label>
                    <label>
                        <option value="landmark"> Landmark </option>
                    </label>
                </select>
            </div>

            <div id="pictureWarning" class="formDiv warning"> Please select an Image </div>
            <div class="formDiv">Picture: <input class="picture" align="right" type="file" id="picture" accept="image/*"> </div>

        </form>

        <div class="formButton formDiv">
            <input id="submit" class="buttons" type="submit" name="submit" value="Submit" onclick="insert()" />
            <input class="buttons" id="reset" type="submit" name="reset" value="Reset" onclick="reset()" />
        </div>
    </div>

    <div id="oldImage">

    </div>

</body>

</html>
